# PFotos 1.3 Copyright(C) 2017-2019 Cora Kohlmeier, Frank Hamberg
proc checkSelection {icounter} {
global langstring lang
	# Start mit leerer Selection abfangen
	if {$icounter==0} {
		tk_messageBox -default ok \
					  -icon error\
					  -message $langstring(emptylist_msg,$lang) \
					  -detail $langstring(emptylist_detail,$lang)\
					  -title $langstring(emptylist_title,$lang)
		return -1
	}
	# Stop bei zu langer Liste [10000 ist wirklich Ende]
	if {$icounter>10000} {
		tk_messageBox -default ok \
					  -icon error\
					  -message "$langstring(toolonglist_msg,$lang) $icounter $langstring(entries,$lang)"  \
					  -detail $langstring(toolonglist_detail,$lang)\
					  -title $langstring(toolonglist_title,$lang)
		return -1
	}
	
	# Warnung bei langer Liste
	if {$icounter>1000} {
		set answer [tk_messageBox -type yesno \
					  -icon question\
					  -message "$langstring(longlist_msg,$lang) $icounter $langstring(entries,$lang)" \
					  -detail $langstring(longlist_detail,$lang)\
					  -title $langstring(longlist_title,$lang)
					]
		switch -- $answer {
			no {return -1}
			yes {}
		}	
	}
return 1		
}

# PFotos 1.3 Copyright(C) 2017-2019 Cora Kohlmeier, Frank Hamberg
proc checkImage {item} {
global langstring lang
global log startPos MarkAllOn
global DOS pfotoshome exiftool
global exifoutput exifsavename
set check 1
set exifoutput ""
set exifsavename ""

if {![file exist $item]} {
    set check 0
	if { ![file exist [file dirname $item]] } {
			.se.mid.bottom.open configure -state disabled
	   } else {
			.se.mid.bottom.open configure -state normal
	   }	

	.se.right.tryopen configure -state disabled
	.se.mid.bottom.save configure -state disabled
	$log delete 1.0 end
	$log insert end [encoding convertfrom utf-8 $langstring(imgnotfound_msg,$lang)]\n\n
	$log insert end [encoding convertfrom utf-8 $langstring(imgnotfound_detail,$lang)]\n
} else {
	.se.right.tryopen configure -state normal
	.se.mid.bottom.save configure -state normal
# und jetzt die Exif-Informationen auslesen und im Textfenster anzeigen
	if {$DOS==1} {
	     set imagefile [file nativename $item]
	     set cmd [file nativename  $pfotoshome/bat/extractoneexif.bat]
		 set command [list exec {*}[auto_execok $cmd] $exiftool $lang $imagefile]
	   } else {
	     set command [list exec $exiftool -lang $lang $item]
	    
	}
	    set exifoutput [fullLog $command]
	    set exifsavename $item
	    
	# Startposition für die Suche auf Anfang setzen	
		set startPos 1.0
	# wenn schon ein Suchstring markiert ist, dann soll nach Auswahl des neuen Bildes gleich wieder markiert werden
	# dazu: einmal abschalten (1. invoke) und wieder einschalten (2. invoke)	
		if { $MarkAllOn == 1} {
			.se.mid.search.mark invoke
			.se.mid.search.mark invoke
	    }		

}
return $check


}
