# PFotos 1.3 Copyright(C) 2017-2019 Cora Kohlmeier, Frank Hamberg
proc writedata {io head itemlist bindata} {
upvar 1 $bindata histdata
puts $io $head
  foreach item [lreverse $itemlist] {
  set number [expr 1.0*$histdata($item)]
  puts $io "$item:$number"
}
	
	}
proc exportcsv { } {
global pfotoshome
global bfs bg fg
global pfotoshome pwd home dataname datahome
global filedir
global widgetlist
global camera lens flash focallength focallength35 aperture iso exposure
global binflash binlens bincamera biniso binaperture binfocallength35 binexposure 
global langstring lang
if ![info exist filedir] {set filedir $datahome}

set suggest [file tail [file rootname $dataname]]_export

set name [fileselect $langstring(setcsv,$lang) txt $filedir save $suggest]
if {$name == ""} {return}
if {[file extension $name] != ".txt"} {set name $name.txt}

set ff [open $name w 0755]

#======================================================================================  

set index [lindex $widgetlist 1]
set binmax [makeHistogram  $index $camera bindata $bincamera]
writedata $ff $index $bincamera bindata

set index [lindex $widgetlist 2]
set binmax [makeHistogram $index $lens bindata $binlens]
writedata $ff $index $binlens bindata

set index [lindex $widgetlist 3]
set binmax [makeHistogram $index $focallength35 bindata $binfocallength35]
writedata $ff $index $binfocallength35 bindata

set index [lindex $widgetlist 4]
set binmax [makeHistogram $index $aperture bindata $binaperture]
writedata $ff $index $binfocallength35 bindata

set index [lindex $widgetlist 5]
set binmax [makeHistogram $index $iso bindata $biniso]
writedata $ff $index $binfocallength35 bindata

set index [lindex $widgetlist 6]
set binmax [makeHistogram $index $exposure bindata $binexposure]
writedata $ff $index $binfocallength35 bindata

set index [lindex $widgetlist 7]
set binmax [makeHistogram $index $flash bindata $binflash]
writedata $ff $index $binflash bindata
#======================================================================================  

close $ff
}

