# PFotos 1.3 Copyright(C) 2017-2019 Cora Kohlmeier, Frank Hamberg
############# RUN ##################################
# Run the program and arrange to read its input
proc Run {command} {
global input log 

    $log delete 1.0 end
	if [catch {open "|$command"} input] {
	   $log insert end $input\n
	} else {
	    fileevent $input readable Log
#	    $log insert end $command\n
	}
}

############# RUN ########################################
# Execute the command and put the output to the log window
proc fullLog {command} {
global input log finalpos
     $log delete 1.0 end

     catch $command result
     $log insert end [encoding convertfrom utf-8 $result]\n
     $log see $finalpos
     return $result
}
############# LOG ##################################

# Read and log output from the program
proc Log {} {
	global input log finalpos cmdstate
    if ![info exist finalpos] {set finalpos end}
	if [eof $input] {
       catch {close $input}
       $log insert end "Ready!"
       $log see $finalpos
	   set cmdstate 1
       update idletasks
	} else {
       if {[gets $input line] >=1} {
           	 if {$line!="SourceFile"} {
				$log insert end [encoding convertfrom utf-8 $line]\n
				$log see end
		     }
             update idletasks
		 }
	}
}

proc showFile {name} {
	global log finalpos cmd_state
	set rid [open $name r]
	#erste Zeile weg; ist der csv-Header
	gets $rid line
	while {[gets $rid line]>=0} {
		$log insert end [encoding convertfrom utf-8 $line]\n
	}
	close $rid
   $log insert end $name\n
   $log insert end "Ready!"
   $log see $finalpos
   set cmdstate 1
   update idletasks
}

proc openAsset {asset} {
global opencommand DOS
if {$DOS!=1} {
	set command [list $opencommand]
	catch [exec $command $asset &]
} else {
	set imagefile [file nativename [maskSpace2 $asset]]
	set ocmd [file nativename [maskSpace2 $opencommand]]
    exec $ocmd $imagefile
}      
	
}
