# PFotos 1.3 Copyright(C) 2017-2019 Cora Kohlmeier, Frank Hamberg
proc tatzetool {file} {
global pfotoshome lang start_histogram exifversion tclversion
global bfs bg bfg fg fs mainframe windowframelist

set c $mainframe.tatzetool
set windowframelist ""
frame $c -bg $bg
set width 100
if {$file == "about"} {set width 100}
set t [text $c.msg   -font "-size $bfs"  -width $width -height 40 -bg $bg -fg $fg -yscrollcommand "$c.scroll set"]
scrollbar $c.scroll -command "$c.msg yview"

set tazinfo [open $pfotoshome/info/$file\_$lang.info]
fconfigure $tazinfo -encoding utf-8 
$t insert end [read $tazinfo] 
$t insert end "\nTcl/Tk Version: $tclversion \n" 
$t insert end "Exiftool Version: $exifversion" 

# Padding für das Textfenster bestimmen
set dist [expr ([winfo reqwidth .top] - [winfo reqwidth $c.msg])/2]
# OK
button $c.ok -text "OK" \
       -command { restoreHist }\
       -font "-size $bfs" -bg $bg -fg $bfg

pack $c -fill both -padx "$dist 0"
pack $c.msg -fill x
pack $c.ok    -pady 50
      
update idletasks
}


