# PFotos 1.3 Copyright(C) 2017-2019 Cora Kohlmeier, Frank Hamberg
proc updateTimeHistogram {} {
global imgabstime maxtime min_validtime mintime 
global histbar timebins canvasheight bg fg
#puts "updatetimehist:mintime:$mintime # min_validtime:$min_validtime:"
#timebins vorbereiten
# aber nur, wenn es etwas zu tun gibt, also, wenn timebins>1 
if {$timebins >1} {
	for {set i 0} {$i < $timebins} {incr i} {set timebin($i) 0}
	#Bilderliste abarbeiten
	set binlength [max 1 [expr ($maxtime -$min_validtime)/$timebins]]
	for {set i 0} {$i < [llength $imgabstime] } {incr i} {
	#timebin des Bildes bestimmen
	  set mytime [lindex $imgabstime $i]
	
	  if {$mytime >= $min_validtime} {
	#	  puts "imgabstime:$mytime # min_validtime:$min_validtime"
		  set mybin [min [expr ($mytime - $min_validtime)/$binlength] [expr $timebins -1]]
		#Histogrammzelle erhöhen
		  set timebin($mybin) [expr $timebin($mybin) + 1]
	}
	}	
	# Maximum bestimmen
	set maxvalue 1
	for {set i 0} {$i < $timebins} {incr i} {set maxvalue [max $maxvalue $timebin($i)]}
	#und nun das Histogramm aktualisieren
	for {set i 0} {$i < $timebins} {incr i} {
		set value [expr int($canvasheight*$timebin($i))/(1.0*$maxvalue)]
	#    puts "maxvalue: $maxvalue  timebin($i):$timebin($i) canvasvalue:$value"
		if {$value > 0.0} {
		    $histbar($i) configure -height $value -bg $fg  
		} else {
		    $histbar($i) configure -height $canvasheight -bg $bg
		}   
			    
	}    
}
#puts $imgdate
}

